Summary:	vsftpd - Very Secure Ftp Daemon
Name:		vsftpd
Version:	1.2.0
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Daemons
Source:		ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}pre2.tar.gz
Source2:	ftp.pamd
Source4:	etc-shells
Source5:	etc-ftpusers
Source6:	xinetd.d-ftp
Patch0:		vsftpd-1.2.0pre2-vsftpd.conf-gd-3.diff
Patch1:		vsftpd-1.0.0-fixlibs-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/usr/sbin/useradd
Requires:	xinetd
Provides:	ftpserver

%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man Security
Audit Team" Evans.

%files
  %doc INSTALL BUGS AUDIT Changelog LICENSE README
  %doc README.security REWARD SPEED TODO SECURITY/

  %dir /usr/share/empty

  %defattr(0640,root,root)
  %config(noreplace) /etc/vsftpd.conf
  %config(noreplace) /etc/vsftpd.banned_emails
  %config(noreplace) /etc/vsftpd.chroot_list
  %config /etc/pam.d/ftp
  %config /etc/xinetd.d/ftp
  %config /etc/shells
  %config /etc/ftpusers
  %attr(0700,root,root) /usr/sbin/vsftpd
  %attr(0444,root,root) %{_mandir}/man5/vsftpd.conf.5*

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
  make CFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5
  mkdir -p $RPM_BUILD_ROOT/usr/sbin
  mkdir -p $RPM_BUILD_ROOT/usr/share/empty
  mkdir -p $RPM_BUILD_ROOT/etc
  mkdir -p $RPM_BUILD_ROOT/etc/pam.d
  mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d


  install -m 700 vsftpd        $RPM_BUILD_ROOT/usr/sbin/vsftpd
  install -m 640 vsftpd.conf   $RPM_BUILD_ROOT/etc/vsftpd.conf
  install -m 444 vsftpd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5
  install -m 640 %{SOURCE2}    $RPM_BUILD_ROOT/etc/pam.d/ftp
  install -m 640 %{SOURCE4}    $RPM_BUILD_ROOT/etc/shells
  install -m 640 %{SOURCE5}    $RPM_BUILD_ROOT/etc/ftpusers
  install -m 640 %{SOURCE6}    $RPM_BUILD_ROOT/etc/xinetd.d/ftp

  touch $RPM_BUILD_ROOT/etc/vsftpd.banned_emails
  touch $RPM_BUILD_ROOT/etc/vsftpd.chroot_list

  chown nobody.nobody $RPM_BUILD_ROOT/usr/share/empty

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
  /usr/sbin/useradd -u 49 -r -m -k /dev/null ftpsecure > /dev/null 2>&1 || true
  chown nobody.nobody ~ftpsecure
  chmod 0755 ~ftpsecure

%preun
  if [ $1 = 0 ]; then
	rmdir ~ftpsecure
	/usr/sbin/userdel ftpsecure
  fi

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Fri Feb 28 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.0pre2, Release 1.5.4
  - Mark /etc/vsftpd.* as %config(noreplace).

* Thu Feb 27 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.0pre2, Release 1.5.3
  - Update vsftpd.conf patch.

* Fri Feb 21 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.0pre2, Release 1.5.2
  - Fix %files to handle compressed man pages.

* Mon Feb 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.0pre2, Release 1.5.1
  - Upgrade to latest upstream version.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue May 28 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.0, Release 1.2.2
  - Clean up spec.
  - Mark /etc/{shells,ftpusers} as %config.

* Mon Apr 22 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.0, Release 1.2.1
  - Fix vsf_findlibs.sh.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Wed Nov 14 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.0, Release 1.1.8
  - Whoo hoo!  1.0 of the excellent package. :)

* Thu Nov 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.3, Release 1.1.7
  - Updated to 0.9.3.
  - Don't include config file as a source anymore, patch his.
  - Clean up spec a leetle bit...

* Mon Sep 24 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.14, Release 1.1.6
  - Disable the FTP service (in xinetd config) by default.

* Wed Sep 12 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.14, Release 1.1.5
  - Added "anon_umask" to the config file.

* Mon Sep 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.14, Release 1.1.[234]
  - Added "anonymous_enable=NO" to the vsftpd.conf to make the WebTool happy.
  - Added a commented-out "disable" line to the xinetd config.
  - Totally re-worked the vsftpd.conf.

* Thu Aug 30 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.14, Release 1.1.1
  - Remove USERID from the xinetd config file.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.14, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.14, Release 1.0.9
  - i386 build fixIES.

* Wed Mar 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.14, Release 1.0.8
  - Included xinetd config file in /etc/xinetd.d

* Tue Mar 06 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.14, Release 1.0.7
  - Updated RPM to new version.

* Wed Feb 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.13, Release 1.0.[3456]
  - RPM now creates/removes user 'ftpsecure' on installation/removal.
  - Still working...
  - Include files '/etc/shells' and '/etc/ftusers'
  - Tweaked some permissions.
  - All done!  Can't wait for the "final" 1.0 release...

* Thu Feb 22 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.13, Release 1.0.2
  - Updated to version 0.0.13.

* Tue Feb 20 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.12, Release 1.0.1
  - Built initial EnGarde package based on Seth Vidal's .spec file.
